/* --------------------------------------------------------------- */
/* Linker script for LPC1764 chip                                  */
/* --------------------------------------------------------------- */
/* 2010.11.20 initial MFC                                          */

/* --------------------------------------------------------------- */
/* The following symbols customize this script for a given chip    */
/* and are visible to C code upon linking; refer to them using     */
/* the & address operator.  Additional symbols are set by the      */
/* lpc17xx.ld script (q.v.).                                       */
/*                                                                 */
/*   chipRAMbase   -- RAM origin                                   */
/*   chipRAMsize   -- RAM size                                     */
/*   chipROMbase   -- ROM (flash) origin                           */
/*   chipROMsize   -- ROM size [e.g., 512K]                        */
/*   chipSRAM0base -- SRAM0 origin                                 */
/*   chipSRAM0size -- SRAM0 size                                   */
/*   chipSRAM1base -- SRAM1 origin                                 */
/*   chipSRAM1size -- SRAM1 size                                   */
/*                                                                 */
/*   chipCAN       -- 0=none, n=number available                   */
/*   chipDAC       -- 0=none, n=number available                   */
/*   chipEthernet  -- 0=none, n=number available                   */
/*   chipI2C       -- 0=none, n=number available                   */
/*   chipI2S       -- 0=none, n=number available                   */
/*   chipUSB       -- 0=none, 1=Device, 3=Device/Host/OTG          */
/*                                                                 */
/*   chipMaxClock  -- Hz [e.g., 100000000]                         */
/*   chipVectors   -- total number of interrupt vectors            */
/*                    (including the 16 base vectors)              */
/* --------------------------------------------------------------- */

chipRAMbase   = 0x10000000;
chipRAMsize   = 32K;
chipROMbase   = 0x00000000;
chipROMsize   = 128K;
chipSRAM0base = 0x2007C000;
chipSRAM0size = 16K;
chipSRAM1base = 0x20080000;
chipSRAM1size = 0;

chipCAN       = 2;
chipDAC       = 0;
chipEthernet  = 1;
chipI2C       = 3;
chipI2S       = 0;
chipUSB       = 1;

chipMaxClock  = 100000000;
chipVectors   = 51;           /* last IRQ is offset #50 */


/* --------------------------------------------------------------- */
/* Include the generic link script for all ARM-based chips         */
/* --------------------------------------------------------------- */

INCLUDE tollos.ld

